package com.sun.xml.internal.bind.v2.model.runtime;

import com.sun.xml.internal.bind.v2.model.core.PropertyInfo;
import org.xml.sax.Locator;
import javax.xml.namespace.QName;
import java.util.Map;
import com.sun.xml.internal.bind.v2.runtime.reflect.Accessor;
import java.lang.reflect.Method;
import java.util.List;
import java.lang.reflect.Type;
import com.sun.xml.internal.bind.v2.model.core.ClassInfo;

public interface RuntimeClassInfo extends ClassInfo<Type, Class>, RuntimeNonElement
{
    public abstract RuntimeClassInfo getBaseClass();
    
    public abstract List<? extends RuntimePropertyInfo> getProperties();
    
    public abstract RuntimePropertyInfo getProperty(String p0);
    
    public abstract Method getFactoryMethod();
    
    public abstract <BeanT> Accessor<BeanT, Map<QName, String>> getAttributeWildcard();
    
    public abstract <BeanT> Accessor<BeanT, Locator> getLocatorField();
}
